## pyacidobasic 0.1

=== Makefile ===
DESTDIR = 
LRELEASE = lrelease-qt4

all:	Ui_main.py Ui_prelevement.py

clean:
	rm -f *~ *.pyc Ui_*.py

install:

languages:
	$(LRELEASE) lang/*.ts 2>/dev/null || lrelease lang/*.ts

helpfiles:
	@$(MAKE) -C help

Ui_main.py: main.ui
	pyuic4 $< | sed -e 's/^from qwt_plot/from PyQt4.Qwt5/' > $@

Ui_%.py: %.ui
	pyuic4 $< > $@

.PHONY: clean all install languages helpfiles

=== debian/changelog ===
pyacidobasic (0.1-7) unstable; urgency=low

  * applied the patch proposed by Scott Kitterman: many thanks!
    Closes: #602627

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 06 Nov 2010 19:17:39 +0100

pyacidobasic (0.1-6) unstable; urgency=low

  * fixed the versionless GPL reference
  * upgraded Standards-Version to 3.9.1
  * first release to Debian. Closes: #593135

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 15 Aug 2010 19:34:00 +0200

pyacidobasic (0.1-5) unstable; urgency=low

  * added export features in PDF, SVG, PNG files.
  * added the possibility to define a custom title
  * fixed the target install in Makefile, added a --prefix option to setup.py
  * added a sort ptocedure to build the list of chemicals
  * created a .desktop file and an icon for the application
  * fixed the newlines in the acid-base lists

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 27 Jun 2010 18:10:25 +0200

pyacidobasic (0.1-4) unstable; urgency=low

  * added the ability to load data from a HTML file

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 20 Jun 2010 20:30:17 +0200

pyacidobasic (0.1-3) unstable; urgency=low

  * added a feature to autoscale the volume axis when the chemicals 
    are changed.
  * made a customized QwtPlot widget names phPlot, with some extra features:
    in particular, a grid cursor which displays coordinates.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 20 Jun 2010 19:50:39 +0200

pyacidobasic (0.1-2) unstable; urgency=low

  * fixed a small bug: QApplication.topLevelWidgets()[0].windowTitle is a
    string, not a function.

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 06 May 2010 14:32:47 +0200

pyacidobasic (0.1-1) unstable; urgency=low

  * Initial release (Closes: #0)

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 01 Feb 2010 00:02:38 +0100

=== debian/control ===
Source: pyacidobasic
Section: python
Priority: extra
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 7), python-central (>= 0.6), python-setuptools (>= 0.6b3), pyqt4-dev-tools, libqt4-dev, xsltproc, docbook-xsl, docbook-xml
XS-Python-Version: >=2.5
Standards-Version: 3.9.1
Homepage: http://outilsphysiques.tuxfamily.org/pmwiki.php/Oppl/Pyacidobasic

Package: python-acidobasic
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-qwt5-qt4
XB-Python-Version: ${python:Versions}
Description: a simulation tool for acido-basic titrations
 python-acidobasic allows to compose a mixture of acid or base reactives, 
 and to simulate their titration by one acid or base. pH and concentration
 curves are displaied instantly when the compisition of all chemicals are
 defined.

## pyacidobasic 1.0

=== Makefile ===
DESTDIR = 
LRELEASE = lrelease-qt4
PYPACKAGE = pyacidobasic

all:	Ui_main.py Ui_prelevement.py pyacidobasic.1.gz languages
	python setup.py build

pyacidobasic.1.gz: pyacidobasic.1
	gzip -c9 $< > $@

pyacidobasic.1: manpage.xml
	xsltproc --nonet /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl manpage.xml

clean:
	rm -f *~ *.pyc Ui_*.py *.1 *.1.gz lang/*.qm
	rm -rf build

install:
	python setup.py install --root $(DESTDIR) --prefix=/usr
	mkdir -p $(DESTDIR)/usr/share/applications
	cp pyacidobasic.desktop $(DESTDIR)/usr/share/applications

languages:
	$(LRELEASE) lang/*.ts 2>/dev/null || lrelease lang/*.ts

tsfiles: clean
	pylupdate4 *.py *.ui -ts lang/*.ts

helpfiles:
	@$(MAKE) -C help

Ui_main.py: main.ui
	pyuic4 $< | sed -e 's/^from qwt_plot/from PyQt4.Qwt5/' -e 's%\(icons/[-:a-zA-Z_0-9]*\.svg\)%/usr/share/$(PYPACKAGE)/\1%g' > $@

Ui_%.py: %.ui
	pyuic4 $< > $@

.PHONY: clean all install languages helpfiles tsfiles

=== debian/changelog ===
pyacidobasic (1.0-3ubuntu1) oneiric; urgency=low

  * Fix build failure, don't use --prefix=/usr. LP: #835001.
  * Really use dh_python2.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Sep 2011 20:52:19 +0200

pyacidobasic (1.0-3) unstable; urgency=low

  * switched to dh_python2. Closes: #616956

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 07 Mar 2011 19:16:22 +0100

pyacidobasic (1.0-2) unstable; urgency=low

  * changed the set of widgets which controls the curves
  * fixed a few bugs abiout the control of curves
  * updated the manpage
  * added an "apropos" message
  * refined the management of the buttons + and -
  * fixed the i18n support

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 11 Feb 2011 23:37:46 +0100

pyacidobasic (1.0-1) unstable; urgency=low

  * released a new revision

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 10 Feb 2011 23:53:50 +0100

pyacidobasic (0.2-1) unstable; urgency=low

  * implemented load, save, save as actions.
  * implemented the derivative curve
  * added a second plot for the concentrations
  * added a management of the solved species
  * implemented the control ofcolor of curves

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 10 Feb 2011 23:52:41 +0100

=== debian/control ===
Source: pyacidobasic
Section: python
Priority: extra
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 7), python-setuptools (>= 0.6b3),
 python-all (>=2.6.6-3),
 pyqt4-dev-tools, libqt4-dev,
 xsltproc, docbook-xsl, docbook-xml
X-Python-Version: >=2.5
Standards-Version: 3.9.1
Homepage: http://outilsphysiques.tuxfamily.org/pmwiki.php/Oppl/Pyacidobasic

Package: python-acidobasic
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-qwt5-qt4
Description: a simulation tool for acido-basic titrations
 python-acidobasic allows to compose a mixture of acid or base reactives, 
 and to simulate their titration by one acid or base. pH and concentration
 curves are displaied instantly when the compisition of all chemicals are
 defined.

## pyacidobasic 2.0

=== debian/changelog ===
pyacidobasic (2.0-1) unstable; urgency=low

  * fixed a bug with the file name: the suffix .acb is no more added
    in every case
  * added a dependency on gnome-icon-theme
  * added a filter feature to choose reactants
  * added a feature to display quantities (mol)
  * added a dependency on dozzaqueux-data to get conductivity data

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 20 Nov 2011 18:57:59 +0100

=== debian/control ===
Source: pyacidobasic
Section: python
Priority: extra
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 7), python-setuptools (>= 0.6b3),
 python-all (>=2.6.6-3),
 pyqt4-dev-tools, libqt4-dev,
 xsltproc, docbook-xsl, docbook-xml
X-Python-Version: >=2.5
Standards-Version: 3.9.2
Homepage: http://outilsphysiques.tuxfamily.org/pmwiki.php/Oppl/Pyacidobasic

Package: python-acidobasic
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-qwt5-qt4, gnome-icon-theme,
 dozzaqueux-data
Description: simulation tool for acido-basic titrations
 python-acidobasic allows you to compose a mixture of acid or base reactives, 
 and to simulate their titration by one acid or base. pH and concentration
 curves are displaied instantly when the composition of all chemicals are
 defined. You can choose to display either concentrations or quantities of
 chemicals.

## pyacidobasic 2.2

=== Makefile ===
DESTDIR = 
LRELEASE = lrelease-qt4
PYPACKAGE = pyacidobasic
SHAREDIR = $(DESTDIR)/usr/share/$(PYPACKAGE)
SOURCES = $(shell ls *.py | grep -v ^Ui_)

all:	Ui_main.py Ui_prelevement.py Ui_curvecontrol.py pyacidobasic.1.gz languages
	python setup.py build

pyacidobasic.1.gz: pyacidobasic.1
	gzip -c9 $< > $@

pyacidobasic.1: manpage.xml
	xsltproc --nonet /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl manpage.xml

clean:
	rm -f *~ *.pyc Ui_*.py *.1 *.1.gz lang/*.qm
	rm -rf build

install:
	install -d $(SHAREDIR)
	python setup.py install --root $(DESTDIR) --prefix=/usr
	mkdir -p $(DESTDIR)/usr/share/applications
	cp pyacidobasic.desktop $(DESTDIR)/usr/share/applications


languages: tsfiles
	$(LRELEASE) lang/*.ts 2>/dev/null || lrelease lang/*.ts

tsfiles: 
	cd lang; pylupdate4 pyacidobasic.pro

helpfiles:
	@$(MAKE) -C help

Ui_main.py: main.ui
	pyuic4 $< | sed -e 's/^from qwt_plot/from PyQt4.Qwt5/' -e 's%\(icons/[-:a-zA-Z_0-9]*\.svg\)%/usr/share/$(PYPACKAGE)/\1%g' -e 's%../../../../../usr/share/icons%/usr/share/icons%' > $@

Ui_%.py: %.ui
	pyuic4 $< > $@

.PHONY: clean all install languages helpfiles tsfiles

=== debian/changelog ===
pyacidobasic (2.2-1) unstable; urgency=low

  * updated a few en_US translations. Fixed the file version.py.
  * upgraded Standards-Version to 3.9.3
  * fixed a translation wich was falsely used in the default parameters
    of a method

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 29 Jun 2012 17:31:58 +0200

pyacidobasic (2.1-1) unstable; urgency=low

  * new version.
    * uses data from dozzaqueux as primary data
    * drops data collected in a html file
    * adds a new tab for conductivities

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 20 Nov 2011 19:13:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  pyqt4-dev-tools, libqt4-dev,
  xsltproc, docbook-xsl, docbook-xml
 X-Python-Version: >=2.5
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://outilsphysiques.tuxfamily.org/pmwiki.php/Oppl/Pyacidobasic
 
 Package: python-acidobasic

## pyacidobasic 2.5

=== debian/changelog ===
pyacidobasic (2.5-1) unstable; urgency=medium

  * modified the import of numpy (no longer embedded in python-qwt5-qt4)
  * implemented mousewheel control on line widths

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 16 Jan 2016 18:04:11 +0100

pyacidobasic (2.4-3) unstable; urgency=medium

  * fixed Jordi Bardají's Spanish localization
  * added his Catalan localization

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 22 Aug 2015 21:00:50 +0200

pyacidobasic (2.4-2) unstable; urgency=medium

  * added Jordi Bardají's Spanish localization
  * replaced "&oacute;" and "&aacute;" by their utf-8 counterparts in the
    localization
  * updated Standards-Version to 3.9.6

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Aug 2015 16:53:02 +0200

pyacidobasic (2.4-1) experimental; urgency=low

  * changed my DEBEMAIL
  * added Jd Bourlier's SVG files to simulate the use of pH indicator dyes
  * hacked the source to take those dyes in account
  * added a combobox in the main UI to choose the dye
  * updated Standards-Version to 3.9.4, compat to 9, X-Python-Version to >= 2.6
  * updated debian/copyright

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 13 Mar 2013 23:11:52 +0200

pyacidobasic (2.3-2) experimental; urgency=low

  * integrated Alexander Soran Al-Dahoodi's German localization.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 01 Jul 2012 13:28:48 +0200

pyacidobasic (2.3-1) experimental; urgency=low

  * integrated EN and DE translations for the set of acids/bases, thanks to
    Alexander Soran Al-Dahoodi.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 01 Jul 2012 01:38:42 +0200

=== debian/control ===

Source: pyacidobasic
Section: python
Priority: extra
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 9), python-setuptools (>= 0.6b3),
 python-all (>=2.6.6-3),
 pyqt4-dev-tools, libqt4-dev,
 xsltproc, docbook-xsl, docbook-xml
X-Python-Version: >=2.6
Standards-Version: 3.9.6
Homepage: http://outilsphysiques.tuxfamily.org/pmwiki.php/Oppl/Pyacidobasic

Package: python-acidobasic
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
 python-qwt5-qt4, python-numpy,
 gnome-icon-theme,
 dozzaqueux-data
Description: simulation tool for acido-basic titrations
 python-acidobasic allows you to compose a mixture of acid or base reactives, 
 and to simulate their titration by one acid or base. pH and concentration
 curves are displaied instantly when the composition of all chemicals are
 defined. You can choose to display either concentrations or quantities of
 chemicals.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@ --with python2

## pyacidobasic 2.7

=== Makefile ===
DESTDIR = 
LRELEASE = lrelease -qt5
PYPACKAGE = pyacidobasic
SHAREDIR = $(DESTDIR)/usr/share/$(PYPACKAGE)
SOURCES = $(shell ls pymecavideo/*.py | grep -v ^Ui_)
UI_SOURCES = $(shell ls pymecavideo/*.ui)
UI_TARGETS = $(patsubst %.ui, Ui_%.py, $(UI_SOURCES))

all:	pyacidobasic.1.gz languages
	make -C pyacidobasic all
	python3 setup.py build

pyacidobasic.1.gz: pyacidobasic.1
	gzip -c9 $< > $@

pyacidobasic.1: manpage.xml
	xsltproc --nonet /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl manpage.xml

clean:
	make -C pyacidobasic clean
	rm -f *~ *.pyc *.1 *.1.gz lang/*.qm
	rm -rf build .pybuild

install:
	install -d $(SHAREDIR)
	python3 setup.py install --root $(DESTDIR) --install-layout=deb
	find $(DESTDIR) -type d -name __pycache__ | xargs rm -rf
	mkdir -p $(DESTDIR)/usr/share/applications
	cp pyacidobasic.desktop $(DESTDIR)/usr/share/applications


languages: tsfiles
	$(LRELEASE) lang/*.ts

tsfiles: 
	cd lang; pylupdate5 pyacidobasic.pro
	# fix inconsistencies of pylupdate5 which cannot honor the
	# directive CODEC in pyacidobasic.pro
	#for f in lang/*.ts; do \
	#  utils/fix-lupdate5.py $$f $$f.tmp && mv $$f.tmp $$f; \
	#done

helpfiles:
	@$(MAKE) -C help

.PHONY: clean all install languages helpfiles tsfiles

=== pyacidobasic/Makefile ===
UI_SOURCES = $(shell ls *.ui)
UI_TARGETS = $(patsubst %.ui, Ui_%.py, $(UI_SOURCES))
PYUIC = pyuic5

all: $(UI_TARGETS)



Ui_%.py: %.ui
	$(PYUIC) $< > $@

clean:
	rm -f *~ *.pyc Ui_*.py
	rm -rf __pycache__

.PHONY: all clean

=== debian/changelog ===
pyacidobasic (2.7-3) unstable; urgency=medium

  * enriched the acidobasic database for French, thanks to Vincent Le Mieux
    <vlemieux@laboiteaphysique.fr> : gluconic acid.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 07 Feb 2018 18:04:28 +0100

pyacidobasic (2.7-2) unstable; urgency=medium

  * added a d/watch file for https://github.com/georgesk/pyacidobasic
  * enriched the acidobasic database for French, thanks to Vincent Le Mieux
    <vlemieux@laboiteaphysique.fr>.
  * upgraded Standards-Version

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 27 Aug 2017 18:18:43 +0200

pyacidobasic (2.7-1) unstable; urgency=medium

  * New upstream release which fixes colors of indicators

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 27 Aug 2017 18:05:59 +0200

pyacidobasic (2.6-1) unstable; urgency=medium

  * New upstream release
  * uses Python3 => changes in d/rules and d/control
  * updated dependencies, taking in account pyQt5
  * updated d/copyright

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 26 Aug 2017 19:17:41 +0200

=== debian/control ===

Source: pyacidobasic
Section: python
Priority: extra
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 10), python3-all,
 pyqt5-dev-tools, xsltproc, docbook-xsl, docbook-xml,
 qttools5-dev-tools, qtbase5-dev, qtchooser
Standards-Version: 4.1.1
Homepage: http://outilsphysiques.tuxfamily.org/pmwiki.php/Oppl/Pyacidobasic

Package: python-acidobasic
Architecture: all
Depends: ${misc:Depends}, python3,
 python3-pyqt5, python3-pyqt5.qtsvg, 
 python3-numpy, python3-html5lib, python3-pyqtgraph,
 gnome-icon-theme
Description: simulation tool for acido-basic titrations
 python-acidobasic allows you to compose a mixture of acid or base reactives, 
 and to simulate their titration by one acid or base. pH and concentration
 curves are displaied instantly when the composition of all chemicals are
 defined. You can choose to display either concentrations or quantities of
 chemicals.

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,16 @@
 #export DH_VERBOSE=1
 
 %:
-	dh  $@ --with python2
+	dh  $@ --with python3
+
+DESTDIR = debian/$(shell grep Package: debian/control | awk '{print $$2}')
+VERSION_PY = $(DESTDIR)/usr/lib/python3/dist-packages/pyacidobasic/version.py
+DEBVERSION = $(shell dpkg-parsechangelog --show-field Version)
+
+override_dh_install:
+	dh_install
+	mv $(DESTDIR)/usr/bin/Pyacidobasic $(DESTDIR)/usr/bin/pyacidobasic
+	sed 's/version=.*/version="'$(DEBVERSION)'"/' \
+	  $(VERSION_PY) > $(VERSION_PY).tmp && \
+	  mv $(VERSION_PY).tmp $(VERSION_PY)
+

## pyacidobasic 2.9

=== debian/changelog ===
pyacidobasic (2.9-1) unstable; urgency=medium

  * new upstream release. Icons come from a QRC file
  * set priority to optional, added a build-dependency on dh-python
  * changed the homepage to http://outilsphysiques.tuxfamily.org/wiki/index.php?title=Pyacidobasic ; Closes: #898155

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 03 Jun 2018 12:59:33 +0200

pyacidobasic (2.8-1) unstable; urgency=medium

  * new upstream release.
  * renamed the binary package to pyacidobasic. It Closes: #895742,
    and it is not necessary to make a python3-acidobasic package since
    all python scripts are now under /usr/share/pyacidobasic. The new
    packages conflicts with, and replaces python-acidobasic.
  * upgraded Standards-Version to 4.1.4

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 23 Apr 2018 11:13:09 +0200

pyacidobasic (2.7-4) unstable; urgency=medium

  * upgraded Standards-Version to 4.1.3
  * added one indicator: thymol blue
  * now the version number is computed dynamically
  * added Vcs stuff to debian/control

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 03 Mar 2018 17:03:50 +0100

=== debian/control ===

Source: pyacidobasic
Section: python
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 10), python3-all, dh-python,
 pyqt5-dev-tools, xsltproc, docbook-xsl, docbook-xml,
 qttools5-dev-tools, qtbase5-dev, qtchooser
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/science-team/pyacidobasic.git
Vcs-Git: https://salsa.debian.org/science-team/pyacidobasic.git
Homepage: http://outilsphysiques.tuxfamily.org/wiki/index.php?title=Pyacidobasic

Package: pyacidobasic
Architecture: all
Depends: ${misc:Depends}, python3,
 python3-pyqt5, python3-pyqt5.qtsvg, 
 python3-numpy, python3-html5lib, python3-pyqtgraph,
 gnome-icon-theme
Conflicts: python-acidobasic (<< 2.8~)
Replaces: python-acidobasic (<< 2.8~)
Description: simulation tool for acido-basic titrations
 python-acidobasic allows you to compose a mixture of acid or base reactives, 
 and to simulate their titration by one acid or base. pH and concentration
 curves are displaied instantly when the composition of all chemicals are
 defined. You can choose to display either concentrations or quantities of
 chemicals.

=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,11 @@
 	dh  $@ --with python3
 
 DESTDIR = debian/$(shell grep Package: debian/control | awk '{print $$2}')
-VERSION_PY = $(DESTDIR)/usr/lib/python3/dist-packages/pyacidobasic/version.py
+VERSION_PY = $(DESTDIR)/usr/share/pyacidobasic/pyacidobasic/version.py
 DEBVERSION = $(shell dpkg-parsechangelog --show-field Version)
 
 override_dh_install:
 	dh_install
-	mv $(DESTDIR)/usr/bin/Pyacidobasic $(DESTDIR)/usr/bin/pyacidobasic
 	sed 's/version=.*/version="'$(DEBVERSION)'"/' \
 	  $(VERSION_PY) > $(VERSION_PY).tmp && \
 	  mv $(VERSION_PY).tmp $(VERSION_PY)

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pyacidobasic-$1\.tar\.gz/ \
  https://github.com/georgesk/pyacidobasic/tags .*/v?(\d\S+)\.tar\.gz

## pyacidobasic 2.10

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,6 @@
 
 all:	pyacidobasic.1.gz languages
 	make -C pyacidobasic all
-	python3 setup.py build
 
 pyacidobasic.1.gz: pyacidobasic.1
 	gzip -c9 $< > $@
@@ -19,14 +18,19 @@
 clean:
 	make -C pyacidobasic clean
 	rm -f *~ *.pyc *.1 *.1.gz lang/*.qm
-	rm -rf build .pybuild
 
 install:
 	install -d $(SHAREDIR)
-	python3 setup.py install --root $(DESTDIR) --install-layout=deb
+	cp -a Pyacidobasic pyacidobasic lang *.acb $(SHAREDIR)
 	find $(DESTDIR) -type d -name __pycache__ | xargs rm -rf
 	mkdir -p $(DESTDIR)/usr/share/applications
 	cp pyacidobasic.desktop $(DESTDIR)/usr/share/applications
+	install -d $(DESTDIR)/usr/bin
+	install -m 755 pyacidobasic.sh $(DESTDIR)/usr/bin/pyacidobasic
+	install -d $(DESTDIR)/usr/share/man/man1
+	install -m 644 pyacidobasic.1.gz $(DESTDIR)/usr/share/man/man1
+	install -d $(DESTDIR)/usr/share/pixmaps
+	install -m 644 pyacidobasic/icons/pyacidobasic.svg $(DESTDIR)/usr/share/pixmaps
 
 
 languages: tsfiles

=== pyacidobasic/Makefile ===
UI_SOURCES = $(shell ls *.ui)
UI_TARGETS = $(patsubst %.ui, Ui_%.py, $(UI_SOURCES))
PYUIC = pyuic5

QRC_SOURCES = $(shell ls *.qrc)
QRC_TARGETS = $(patsubst %.qrc, %_rc.py, $(QRC_SOURCES))
PYRCC = pyrcc5

all: $(UI_TARGETS) $(QRC_TARGETS)

%_rc.py: %.qrc
	$(PYRCC) $< > $@

Ui_%.py: %.ui
	$(PYUIC) $< > $@

clean:
	rm -f *~ *.pyc Ui_*.py *_rc.py
	rm -rf __pycache__

.PHONY: all clean

=== debian/changelog ===
pyacidobasic (2.10-2) unstable; urgency=medium

  * new standards : debhelper-compat (= 13), Standards-Version: 4.5.0
  * added a dependency on faketime; modified d/rules to embed the call
    to pyrcc5 in faketime, in order to ensure build reproducibility.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 06 Dec 2020 19:50:30 +0100

pyacidobasic (2.10-1) unstable; urgency=medium

  * new upstream

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 12 Jan 2019 23:23:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,19 @@
-
 Source: pyacidobasic
 Section: python
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 10), python3-all, dh-python,
- pyqt5-dev-tools, xsltproc, docbook-xsl, docbook-xml,
- qttools5-dev-tools, qtbase5-dev, qtchooser
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 13),
+ python3-all,
+ dh-python,
+ pyqt5-dev-tools,
+ xsltproc,
+ docbook-xsl,
+ docbook-xml,
+ qttools5-dev-tools,
+ qtbase5-dev,
+ qtchooser,
+ faketime
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/pyacidobasic.git
 Vcs-Git: https://salsa.debian.org/science-team/pyacidobasic.git
 Homepage: http://outilsphysiques.tuxfamily.org/wiki/index.php?title=Pyacidobasic

## pyacidobasic 2.11.

=== debian/changelog ===
pyacidobasic (2.11.-1) unstable; urgency=medium

  * better Spanish translation, thanks to Fernando DELGADO

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 16 Apr 2021 13:33:20 +0200

pyacidobasic (2.10-3) unstable; urgency=medium

  * removed debian/watch, since the only upstream source is on Salsa

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 27 Mar 2021 15:46:54 +0100

## pyacidobasic 2.11.1

=== debian/changelog ===
pyacidobasic (2.11.1-2) unstable; urgency=medium

  * rebuilt with Python 3.10; Closes: #1010747

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 18 May 2022 09:18:23 +0200

pyacidobasic (2.11.1-1) unstable; urgency=medium

  * new upstream: recompiled .ts files
  * fixed the bogus release number. Closes: #990930

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 18 Aug 2021 12:01:06 +0200

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,14 @@
 DESTDIR = debian/$(shell grep Package: debian/control | awk '{print $$2}')
 VERSION_PY = $(DESTDIR)/usr/share/pyacidobasic/pyacidobasic/version.py
 DEBVERSION = $(shell dpkg-parsechangelog --show-field Version)
+TIMESTAMP = $(shell dpkg-parsechangelog --show-field Date)
 
 override_dh_install:
+	# launch pyrcc5 once again, but with a fake time, in order
+	# to ensure build reproducibility
+	# pyrcc5 is still buggy and does not honor any switch to
+	# get a predefined timestamp
+	cd pyacidobasic; faketime "$(TIMESTAMP)" pyrcc5 pyacidobasic.qrc > pyacidobasic_rc.py
 	dh_install
 	sed 's/version=.*/version="'$(DEBVERSION)'"/' \
 	  $(VERSION_PY) > $(VERSION_PY).tmp && \

## pyacidobasic 3.0

=== debian/changelog ===
pyacidobasic (3.0-1) unstable; urgency=medium

  * new upstream version 3.0
    + new version to use jsonpickle rather than plain pickle
    +ignore more files
    +call self.replot when loading an ACB file
    +fixed types of variables r, v b before calling QColor
    +updated the translations
  * new dependency: python3-jsonpickle

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 16 Oct 2023 18:04:39 +0200

pyacidobasic (2.11.2-1) unstable; urgency=medium

  * new upstream branch with up-to-date translation TS files, and
    unittests
  * checked that debuild can be run twice seamlessly. Closes: #1046366
  * added autopkgtests. Closes: #1035187

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 16 Oct 2023 14:25:40 +0200

=== debian/control ===
--- 
+++ 
@@ -20,9 +20,14 @@
 
 Package: pyacidobasic
 Architecture: all
-Depends: ${misc:Depends}, python3,
- python3-pyqt5, python3-pyqt5.qtsvg, 
- python3-numpy, python3-html5lib, python3-pyqtgraph,
+Depends: ${misc:Depends},
+ python3,
+ python3-pyqt5,
+ python3-pyqt5.qtsvg, 
+ python3-numpy,
+ python3-jsonpickle,
+ python3-html5lib,
+ python3-pyqtgraph,
  gnome-icon-theme
 Conflicts: python-acidobasic (<< 2.8~)
 Replaces: python-acidobasic (<< 2.8~)

## pyacidobasic 3.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 DESTDIR = 
-LRELEASE = lrelease -qt5
+LRELEASE = /usr/lib/qt6/bin/lrelease
 PYPACKAGE = pyacidobasic
 SHAREDIR = $(DESTDIR)/usr/share/$(PYPACKAGE)
 SOURCES = $(shell ls pymecavideo/*.py | grep -v ^Ui_)
@@ -19,7 +19,7 @@
 	make -C pyacidobasic clean
 	rm -f *~ *.pyc *.1 *.1.gz lang/*.qm
 
-install:
+install: all
 	install -d $(SHAREDIR)
 	cp -a Pyacidobasic pyacidobasic lang *.acb $(SHAREDIR)
 	find $(DESTDIR) -type d -name __pycache__ | xargs rm -rf
@@ -37,12 +37,7 @@
 	$(LRELEASE) lang/*.ts
 
 tsfiles: 
-	cd lang; pylupdate5 pyacidobasic.pro
-	# fix inconsistencies of pylupdate5 which cannot honor the
-	# directive CODEC in pyacidobasic.pro
-	#for f in lang/*.ts; do \
-	#  utils/fix-lupdate5.py $$f $$f.tmp && mv $$f.tmp $$f; \
-	#done
+	cd lang; /usr/lib/qt6/bin/lupdate pyacidobasic.pro
 
 helpfiles:
 	@$(MAKE) -C help

=== pyacidobasic/Makefile ===
UI_SOURCES = $(shell ls *.ui)
UI_TARGETS = $(patsubst %.ui, Ui_%.py, $(UI_SOURCES))
PYUIC = pyuic6


all: $(UI_TARGETS)

%_rc.py: %.qrc
	rcc -g python -o $@ $<
	sed -i 's/Pyside2/PyQt6/' $@

Ui_%.py: %.ui
	$(PYUIC) $< > $@

clean:
	rm -f *~ *.pyc Ui_*.py *_rc.py
	rm -rf __pycache__

.PHONY: all clean

=== debian/changelog ===
pyacidobasic (3.3-2) unstable; urgency=medium

  * bumped Standards-Version: 4.7.2
  * removed the dependency on gnome-icon-theme. Closes: #1117087

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 04 Oct 2025 11:17:40 +0200

pyacidobasic (3.3-1) unstable; urgency=medium

  * new upstream version
  * new build dependency: pyqt6-dev-tools

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 02 Nov 2024 10:19:28 +0100

pyacidobasic (3.2.0-2) UNRELEASED; urgency=medium

  [ Georges Khaznadar ]
  * Contribution de Philippe DALET
  * redefined Resource icons as bases for the UI
  * updated shebangs referring to /usr/local

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 02 Nov 2024 10:19:00 +0100

=== debian/control ===
Source: pyacidobasic
Section: python
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (= 13),
 python3-all,
 dh-python,
 xsltproc,
 docbook-xsl,
 docbook-xml,
 pyqt6-dev-tools,
 qt6-tools-dev-tools,
 qt6-base-dev,
 qt6-l10n-tools,
 faketime
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/pyacidobasic.git
Vcs-Git: https://salsa.debian.org/science-team/pyacidobasic.git
Homepage: http://outilsphysiques.tuxfamily.org/wiki/index.php?title=Pyacidobasic

Package: pyacidobasic
Architecture: all
Depends: ${misc:Depends},
 python3,
 python3-pyqt6,
 python3-pyqt6.qtsvg, 
 python3-numpy,
 python3-jsonpickle,
 python3-html5lib,
 python3-pyqtgraph,
Description: simulation tool for acido-basic titrations
 python-acidobasic allows you to compose a mixture of acid or base reactives, 
 and to simulate their titration by one acid or base. pH and concentration
 curves are displaied instantly when the composition of all chemicals are
 defined. You can choose to display either concentrations or quantities of
 chemicals.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@ --with python3

DESTDIR = debian/$(shell grep Package: debian/control | awk '{print $$2}')
VERSION_PY = $(DESTDIR)/usr/share/pyacidobasic/pyacidobasic/version.py
UI_MAIN_PY = $(DESTDIR)/usr/share/pyacidobasic/pyacidobasic/Ui_main.py
DEBVERSION = $(shell dpkg-parsechangelog --show-field Version)

override_dh_install:
	dh_install
	: # take the version from Debian
	sed -i 's/version=.*/version="'$(DEBVERSION)'"/' $(VERSION_PY)
	: # modify the path to icons
	sed -i 's%icons/%icons:%' $(UI_MAIN_PY)

=== debian/tests/control ===
Tests: run_unittest
Depends:
 python3-numpy,
 python3-pil,
 @
